## org.eclipse.jetty.policy.entry
Class PrincipalEntry

    java.lang.Object
      org.eclipse.jetty.policy.entry.AbstractEntry
          org.eclipse.jetty.policy.entry.PrincipalEntry

    public class PrincipalEntry

extends AbstractEntry

Field Summary
`static String` `WILDCARD` Wildcard value denotes any class and/or any name.

Constructor Summary
`PrincipalEntry()`

Method Summary
`void` `expand(PolicyContext context)`
`String` `getKlass()`
`String` `getName()`
`void` `setKlass(String klass)`
`void` `setName(String name)`
`Principal` `toPrincipal(PolicyContext context)`

Methods inherited from class org.eclipse.jetty.policy.entry.AbstractEntry
`isDirty, isExpanded, setDirty, setExpanded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WILDCARD

    public static final String WILDCARD

  Wildcard value denotes any class and/or any name. Must be asterisk, for proper general expansion and PrivateCredentialsPermission wildcarding

  See Also:
    Constant Field Values

Constructor Detail

### PrincipalEntry

    public PrincipalEntry()

Method Detail

### toPrincipal

    public Principal toPrincipal(PolicyContext context)
                          throws PolicyException

  Throws:
    `PolicyException`

### expand

    public void expand(PolicyContext context)
                throws PolicyException

  Specified by:
    `expand` in class `AbstractEntry`
  Throws:
    `PolicyException`

### getKlass

    public String getKlass()

### setKlass

    public void setKlass(String klass)

### getName

    public String getName()

### setName

    public void setName(String name)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.